util.settings

## Class ContextMenuMouseActionSetting

- java.lang.Object
- - util.settings.ContextMenuMouseActionSetting

-     public class ContextMenuMouseActionSetting
      extends java.lang.Object

  A setting for storing information about a context menu mouse action.
  Since:
    3.3.1
  Author:
    René Mach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextMenuMouseActionSetting(int modifiersEx, java.lang.String contextMenuId)`
    `ContextMenuMouseActionSetting(java.lang.String value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContextMenuIf` | `getContextMenuIf()`
    `int` | `getModifiersEx()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SEPARATOR

          public static final java.lang.String SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContextMenuMouseActionSetting

          public ContextMenuMouseActionSetting(int modifiersEx,
                                       java.lang.String contextMenuId)

      Parameters:
        `modifiersEx` - The keyboard modifiers for this action setting.
        `contextMenuId` - The id of the ContextMenuIf to use with the given modifiers.

    - #### ContextMenuMouseActionSetting

          public ContextMenuMouseActionSetting(java.lang.String value)
                                        throws java.lang.NullPointerException

      Parameters:
        `value` - The coded value for reading modifiers and context menu id.
      Throws:
        `java.lang.NullPointerException` - No `null` value accepted.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getModifiersEx

          public int getModifiersEx()

      Returns:
        The keyboard modifiersEx for this setting.

    - #### getContextMenuIf

          public ContextMenuIf getContextMenuIf()

      Returns:
        The ContextMenuIf for this settings or `null` if there is no ContextMenuIf.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)